Subject: Qt git repository report

From: Andy Parkins <[email-masked]>
Date: Wed, 31 Jan 2007 09:12:57 +0000

Hello,

It's always nice to read positive reports, so I thought I'd point you all at 
this one.

One of the Qt developers posted a blog entry describing the conversion of the 
Qt repository from perforce to git.

http://qtdeveloper.net/archives/2007/01/30/fun-with-git/

Key facts:
 * 13 years worth of changes
 * 94000 revisions
 * 736774 objects
 * Took 3 hours to convert using git-fast-import and a custom script
 * Repository size: 500MB
 * Checkd out tree size: 330MB

I never cease to be amazed by how good git is at its job.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIEE
[email-masked]